package com.google.android.play.core.b;

import com.bytedance.covode.number.Covode;

public final class bh<T> implements bk<T> {
    public bk<T> LIZ;

    static {
        Covode.recordClassIndex(44258);
    }

    public static <T> void LIZ(bk<T> bkVar, bk<T> bkVar2) {
        bh bhVar = (bh) bkVar;
        if (bhVar.LIZ == null) {
            bhVar.LIZ = bkVar2;
            return;
        }
        throw new IllegalStateException();
    }

    public final T LIZ() {
        bk<T> bkVar = this.LIZ;
        if (bkVar != null) {
            return bkVar.LIZ();
        }
        throw new IllegalStateException();
    }
}
